#!/usr/bin/env python
#coding=utf-8

"""新剧营销文章链接爬取

"""

import os
import sys

from fty_util.common import Mysql, Util

reload(sys)
sys.setdefaultencoding('utf8')

first_day = Util.get_first_date_of_yesterday()

conn = Mysql.createOfflineConn()
sql = """
    select count(*) as num from scrapy.scrapy_article
"""
row = Mysql.getOne(sql, conn=conn)
if row is not None and row[0] is not None and row[0] > 0:
    # 清空数据
    sql = """
        truncate table idl.tv_article_marketing_detail
    """
    Mysql.execute(sql, conn=conn)

    sql = """
        insert into idl.tv_article_marketing_detail (tv_id, tv_name, search_type, media_name, search_restrict_url, scrapy_url, scrapy_title, scrapy_date)
        select tv_id, tv_name, search_type, media_name, search_restrict_url, scrapy_url, scrapy_title, date_format(scrapy_date, '%Y-%m-%d') from scrapy.scrapy_article order by id asc
    """
    Mysql.execute(sql, conn=conn)

Mysql.close(conn)
