#!/usr/bin/env python
#coding=utf-8

"""排名更新

"""

import sys

from fty_util.common import Mysql

reload(sys)
sys.setdefaultencoding('utf8')

conn = Mysql.createOfflineConn()

sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'黄金剧场' from (
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '19:30:00' and t.end_time <= '21:30:00' and t.start_time <= '21:30:00' and t.end_time >= '19:30:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)


sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'凌晨剧场' from (  
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,  
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '00:00:00' and t.end_time <= '06:00:00' and t.start_time <= '06:00:00' and t.end_time >= '00:00:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)

sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'早间剧场' from (  
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,  
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '07:00:00' and t.end_time <= '09:00:00' and t.start_time <= '09:00:00' and t.end_time >= '07:00:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)


sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'上午剧场' from (  
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,  
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '09:00:00' and t.end_time <= '12:00:00' and t.start_time <= '12:00:00' and t.end_time >= '09:00:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)

sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'下午剧场' from (  
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,  
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '14:00:00' and t.end_time <= '18:00:00' and t.start_time <= '18:00:00' and t.end_time >= '14:00:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)

sql = """
        REPLACE INTO idl.ad_tv_rate_rank(channel,tv_name,tv_date,audience_rate,rank,theater_attribute)
        select channel,tv_name,tv_date,avg_rate,rank,'晚间剧场' from (  
		select heyf_tmp.channel,heyf_tmp.tv_name,heyf_tmp.tv_date,heyf_tmp.avg_rate,@rownum:=@rownum+1 ,  
		  if(@pdept=heyf_tmp.tv_date,@rank:=@rank+1,@rank:=1) as rank,  
		  @pdept:=heyf_tmp.tv_date 
		from(

		select  channel,tv_name,round(avg(audience_rating),3) as avg_rate,tv_date   from (
		select t.channel,t.tv_name, t.audience_rating ,  t.tv_date, month(t.tv_date) as  tv_month
		from odl.ad_tv_rating_denoise t
		where audience_rating >= 0 
		and (t.start_time >= '18:00:00' and t.end_time <= '24:00:00' and t.start_time <= '24:00:00' and t.end_time >= '18:00:00')
		)a
		GROUP BY channel,tv_name,tv_date
		order by  tv_date,avg_rate DESC

        )  heyf_tmp , 
		(select @rownum :=0 , @pdept := null ,@rank:=0) a  
		 ) result
"""
Mysql.execute(sql, conn=conn)

Mysql.close(conn)