#!/bin/bash

# 判断脚本执行路径是否存在，如果不存在则需要设置
if [ -z $HUOJU_FTY_PATH ];
then
    echo "not found"
    export HUOJU_FTY_PATH=/root/py_script/
else
    echo "found"
fi
echo $HUOJU_FTY_PATH

#########################基础数据###########################

# 收视率数据去噪
echo "idl_tv_sr_denoise"
python ${HUOJU_FTY_PATH}idl_tv_sr_denoise.py
if [ $? -ne 0 ];
   then
       content="idl_tv_sr_denoise"
       echo $content
   exit 1
fi

# 相似剧离线计算
echo "tv_outline_recom"
python ${HUOJU_FTY_PATH}tv_outline_recom.py
if [ $? -ne 0 ];
    then
        content="tv_outline_recom"
        echo $content
    exit 1
fi

# 收视指数预测基础数据
echo "tmp_ad_tv_sr_stat"
python ${HUOJU_FTY_PATH}tmp_ad_tv_sr_stat.py
if [ $? -ne 0 ];
   then
       content="tmp_ad_tv_sr_stat"
       echo $content
   exit 1
fi

# 发行平台数据统计
echo "idl_ad_pub_station_stats"
python ${HUOJU_FTY_PATH}idl_ad_pub_station_stats.py
if [ $? -ne 0 ];
    then
        content="idl_ad_pub_station_stats"
        echo $content
    exit 1
fi

echo "脚本执行完毕"